Bug 74003 - [postgresql-contrib] Does not work when installed with an umask of 077 and messes filesystem
[postgresql-contrib] Does not work when installed with an umask of 077 and me...
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 13:33 EDT by Enrico Scholz
Modified: 2013-07-02 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-17 11:45:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 13:33:42 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/lib/pgsql /usr/lib/pgsql/contrib
| file /usr/lib/pgsql is not owned by any package
| postgresql-contrib-7.2.1-16

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that postgresql-contrib is uninstalled completely
   (rm -rf /usr/lib/pgsql)
3. rpm -U postgresql-contrib-7.2.1-16.i386.rpm
4. ls -l /usr/lib/pgsql
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e postgresql-contrib-7.2.1-16

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 18:44 /usr/lib/pgsql
* files can not be found/read at 5 and
* /usr/lib/pgsql still exists after 6.
Comment 1 Andrew Overholt 2003-03-04 12:34:55 EST
Assigning to me.
Comment 2 Andrew Overholt 2003-03-28 14:31:47 EST
This is because /usr/lib/pgsql is not explicitly listed in the %files section
for the contrib package.  Ben will fix this.
Comment 3 Tom Lane 2004-08-24 14:46:18 EDT
I think this bug is probably out-of-date, if not wrong altogether. 
Looking at the current postgresql.spec file, %{_libdir}/pgsql is shown
as a directory belonging to the postgresql-server package, which is
probably reasonable.  We can't list it as belonging to the contrib
package, I don't think, since the server and pl packages also install
libraries there.

Is there anything we still ought to change?
Comment 4 Enrico Scholz 2004-08-24 15:01:01 EDT
Bug is still up-to-date. The postgresl-contrib package can be installed
without the -server package and /usr/lib/pgsql would be unowned then
(with the told consequences).

I do not see a reason why this directory can not be listed in -contrib's
%file list also. A better solution would be probably, when it is owned
by the base 'postgresql' package. This would solve the problem for
some other postgresql-* subpackages (-jdbc, -odbc, -tcl) also.
Comment 5 Tom Lane 2004-12-17 11:45:51 EST
I've reassigned /usr/lib/pgsql to the base package, as per your last

Note You need to log in before you can comment on or make changes to this bug.